> For the complete documentation index, see [llms.txt](https://docs.up2.money/08.01/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.up2.money/08.01/card-issuing/get-card-status.md).

# GET - Card Status

Get status of your Card, by providing card id in path parameter.

### Get - Card Status card

***

### End point

```markup
https://api.up.money/cards/status/{cardId}
```

### Headers

<details>

<summary>Security</summary>

**REQUEST BODY SCHEMA: application/json**

&#x20;:closed\_lock\_with\_key: **API SECRET: x-secret**

Add `YWJjMTIzIQ==` in  `x-secret` in headers.  &#x20;

**Header parameter name:** `x-secret`

***

&#x20;:lock\_with\_ink\_pen:  **HTTP:** `Authorization-key`

The authentication token representing the user. This will be included in the login response object as `token`.&#x20;

**Header parameter name:** `Authorization-key`

</details>

***

### **Path Parameters**

<table><thead><tr><th width="223"></th><th></th></tr></thead><tbody><tr><td>cardId <mark style="color:red;">(required)</mark></td><td><code>string</code> <code>^[0-9]+$</code></td></tr></tbody></table>

***

### **Payload Details**

***

```json
{
    "type": "consumer" // or "corporate"
}
```

***

### Sample Request

***

```javascript
curl --location --request GET 'https://api.up2.money/cards/status/{cardId}' \
--header 'x-secret: YWJjMTIzIQ==' \
--header 'Authorization-key: YOUR_AUTHORIZATION_KEY' \
--header 'Content-Type: application/json' \
--data '{
    "type": "consumer" 
}'
```

***

### Sample Response

***

{% tabs %}
{% tab title="Success - 200" %}

```json
{
  "accounts": [
    {
      "id": "string",
      "profileId": "string",
      "tag": "string",
      "friendlyName": "string",
      "currency": "str",
      "balances": {
        "availableBalance": 0,
        "actualBalance": 0
      },
      "state": {
        "state": "ACTIVE",
        "blockedReason": "USER",
        "destroyedReason": "SYSTEM"
      },
      "creationTimestamp": 0
    }
  ],
  "count": 0,
  "responseCount": 0
}
```

{% endtab %}

{% tab title="Error - 400" %}

```json
{
  "message": "string",
  "syntaxErrors": {
    "invalidFields": [
      {
        "params": [
          "string"
        ],
        "fieldName": "string",
        "error": "REQUIRED"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

***

### Response Status

***

<mark style="color:green;">**200 Success**</mark>

<details>

<summary><mark style="color:red;"><strong>400 Bad Request Error - Your request is invalid.</strong></mark></summary>

errorCode: Enum:  `"REQUIRED"` `"HAS_TEXT"` `"REQUIRES"` `"SIZE"` `"RANGE"` `"IN"` `"NOT_IN" "REGEX"` `"EXACTLY"` `"AT_LEAST"` `"AT_MOST"` `"ALL_OR_NONE"`

</details>

<mark style="color:red;">**400 Bad Request Error - Your request is invalid.**</mark>

<mark style="color:red;">**401 Unauthorized - Your credentials or access token are invalid.**</mark>

<details>

<summary><mark style="color:red;">403 Forbidden - Access to the requested resource or action is forbidden.</mark></summary>

errorCode: Enum: `STEP_UP_REQUIRED` `ACCESS_TOKEN_REQUIRED`

</details>

<mark style="color:red;">**429 Too many requests.**</mark>

<mark style="color:red;">**500 Internal Server Error - There is a problem with the server. Please try again later.**</mark>

<mark style="color:red;">**503 Service Unavailable - We're temporarily offline for maintenance. Please try again later.**</mark>

***

### E-nums

***

<table><thead><tr><th width="264"></th><th></th></tr></thead><tbody><tr><td><code>STEP_UP_REQUIRED</code><br></td><td>Current session is expired, Call stepup api to create new session</td></tr><tr><td><code>ACCESS_TOKEN_REQUIRED</code></td><td>Issue with your token (Invalid or expired)</td></tr></tbody></table>
